Recalculate Impacts
POST
/api/v1/projects/{project_id}/impacts/recalculate
const url = 'https://api.totalview.energy/api/v1/projects/example/impacts/recalculate';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"recalculate_all":false,"start_date":"2026-04-15T12:00:00Z","end_date":"2026-04-15T12:00:00Z","methodologies":["example"],"reason":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.totalview.energy/api/v1/projects/example/impacts/recalculate \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "recalculate_all": false, "start_date": "2026-04-15T12:00:00Z", "end_date": "2026-04-15T12:00:00Z", "methodologies": [ "example" ], "reason": "example" }'Trigger recalculation of impacts for the specified periods.
Use when:
- Model version updated
- Correcting historical data
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” project_id
required
Project Id
string
Request Body required
Section titled “Request Body required ” Media type application/json
RecalculateRequest
Request to recalculate impacts.
object
recalculate_all
Recalculate All
Recalculate all periods (overrides date range)
boolean
methodologies
Any of:
Array<string>
null
Responses
Section titled “ Responses ”Successful Response
Media type application/json
RecalculateResponse
Response after requesting recalculation.
object
project_id
required
Project Id
string format: uuid
status
required
Status
string
periods_to_recalculate
required
Periods To Recalculate
integer
methodologies_to_recalculate
required
Methodologies To Recalculate
Array<string>
date_range
required
periods_completed
Periods Completed
integer
Example
{ "status": "queued", "periods_completed": 0}Validation Error
Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Example generated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}